## org.apache.mahout.fpm.pfpgrowth.convertors
Class TransactionIterator<T>

    java.lang.Object
      com.google.common.collect.ForwardingObject
          com.google.common.collect.ForwardingIterator<Pair<int[],Long>>
              org.apache.mahout.fpm.pfpgrowth.convertors.TransactionIterator<T>

All Implemented Interfaces:
  Iterator<Pair<int[],Long>>

    public class TransactionIterator<T>

extends com.google.common.collect.ForwardingIterator<Pair<int[],Long>>

Iterates over a Transaction and outputs the transaction integer id mapping and the support of the transaction

Constructor Summary
`TransactionIterator(Iterator<Pair<List<T>,Long>> transactions, Map<T,Integer> attributeIdMapping)`

Method Summary
`protected Iterator<Pair<int[],Long>>` `delegate()`

Methods inherited from class com.google.common.collect.ForwardingIterator
`hasNext, next, remove`

Methods inherited from class com.google.common.collect.ForwardingObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionIterator

    public TransactionIterator(Iterator<Pair<List<T>,Long>> transactions,
                               Map<T,Integer> attributeIdMapping)

Method Detail

### delegate

    protected Iterator<Pair<int[],Long>> delegate()

  Overrides:
    `delegate` in class `com.google.common.collect.ForwardingIterator<Pair<int[],Long>>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.